# Uses of Interface
io.dapr.client.DaprClient

Packages that use DaprClient
Package
Description
io.dapr.client
io.dapr.spring.data
io.dapr.spring.messaging

## Uses of DaprClient in io.dapr.client

Classes in io.dapr.client that implement DaprClient
Modifier and Type
Class
Description
`class`
`DaprClientImpl`
Implementation of the Dapr client combining gRPC and HTTP (when applicable).
Methods in io.dapr.client that return DaprClient
Modifier and Type
Method
Description
`DaprClient`
DaprClientBuilder.`build()`
Build an instance of the Client based on the provided setup.

## Uses of DaprClient in io.dapr.spring.data

Constructors in io.dapr.spring.data with parameters of type DaprClient
Modifier
Constructor
Description
`protected`
`AbstractDaprKeyValueAdapter(DaprClient daprClient, String stateStoreName)`
``
`DaprKeyValueAdapterResolver(DaprClient daprClient, com.fasterxml.jackson.databind.ObjectMapper mapper, String stateStoreName, String bindingName)`
Constructs a `DaprKeyValueAdapterResolver`.
``
`MySQLDaprKeyValueAdapter(DaprClient daprClient, com.fasterxml.jackson.databind.ObjectMapper mapper, String stateStoreName, String bindingName)`
Constructs a `MySQLDaprKeyValueAdapter`.
``
`PostgreSQLDaprKeyValueAdapter(DaprClient daprClient, com.fasterxml.jackson.databind.ObjectMapper mapper, String stateStoreName, String bindingName)`
Constructs a `PostgreSQLDaprKeyValueAdapter`.

## Uses of DaprClient in io.dapr.spring.messaging

Constructors in io.dapr.spring.messaging with parameters of type DaprClient
Modifier
Constructor
Description
``
`DaprMessagingTemplate(DaprClient daprClient, String pubsubName, boolean observationEnabled)`
Constructs a new DaprMessagingTemplate.